BeagleWksSSParserInternal::Spreadsheet Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
BeagleWksSSParserInternal::Spreadsheet Struct Reference

Internal: the spreadsheet of a BeagleWksSSParser. More...

## Public Member Functions
| Spreadsheet ()
| constructor More...
bool | addFormula (MWAWVec2i const &cellPos, std::vector< MWAWCellContent::FormulaInstruction > const &formula)
| try to associate a formula to a cell More...
double | getRowHeight (int row) const
| returns the height of a row in point More...
double | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row More...
void | updateWidthCols ()
| update the number of columns and the width More...

## Static Public Member Functions
static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize)
| convert the m_widthCols, m_heightRows in a vector of of point size More...

## Public Attributes
int | m_numRows
| the number of rows More...
std::vector< int > | m_widthCols
| the column size in points More...
std::vector< int > | m_heightRows
| the row size in points More...
std::vector< Cell > | m_cells
| the list of not empty cells More...
int | m_lastReadRow
| the last read rows More...

## Detailed Description

Internal: the spreadsheet of a BeagleWksSSParser.

## Constructor & Destructor Documentation

BeagleWksSSParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool BeagleWksSSParserInternal::Spreadsheet::addFormula | ( | MWAWVec2i const & | cellPos,
|  | std::vector< MWAWCellContent::FormulaInstruction > const & | formula
| ) |  |

try to associate a formula to a cell

Referenced by BeagleWksSSParser::readFormula().

static std::vector<float> BeagleWksSSParserInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize
| ) |  |
| inlinestatic

convert the m_widthCols, m_heightRows in a vector of of point size

Referenced by BeagleWksSSParser::sendSpreadsheet().

double BeagleWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the height of a row in point

Referenced by BeagleWksSSParser::sendSpreadsheet().

double BeagleWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated
| ) |  | const
| inline

returns the height of a row in point and updated repeated row

void BeagleWksSSParserInternal::Spreadsheet::updateWidthCols | ( |  | ) |
| inline

update the number of columns and the width

Referenced by BeagleWksSSParser::sendSpreadsheet().

## Member Data Documentation

std::vector<Cell> BeagleWksSSParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by BeagleWksSSParser::readRowSheet(), and BeagleWksSSParser::sendSpreadsheet().

std::vector<int> BeagleWksSSParserInternal::Spreadsheet::m_heightRows

the row size in points

Referenced by BeagleWksSSParser::readRowSheet().

int BeagleWksSSParserInternal::Spreadsheet::m_lastReadRow

the last read rows

Referenced by BeagleWksSSParser::readRowSheet().

int BeagleWksSSParserInternal::Spreadsheet::m_numRows

the number of rows

Referenced by BeagleWksSSParser::readRowSheet(), and BeagleWksSSParser::readSpreadsheet().

std::vector<int> BeagleWksSSParserInternal::Spreadsheet::m_widthCols

the column size in points

Referenced by BeagleWksSSParser::readColumnWidths(), and BeagleWksSSParser::sendSpreadsheet().

The documentation for this struct was generated from the following file:

- BeagleWksSSParser.cxx